CentOS 6.7
ClosedPublic

Authored by miwi on Aug 19 2015, 10:26 AM.

Details

Summary

Upgrade CentOS linux ports stack to 6.7

Test Plan

TODO:
review
test with various software (games, flash, etc)
exprun

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 1496
Build 1502: arc lint + arc unit
xmj retitled this revision from to CentOS 6.7.Aug 19 2015, 10:26 AM
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: emulation, allanjude, eadler, rene.
xmj updated this revision to Diff 8054.Aug 19 2015, 10:51 AM

Update some distinfo.x86_64 files

xmj updated this revision to Diff 8251.Aug 27 2015, 8:15 AM

Pulseaudio: add glib2 lib

xmj updated this revision to Diff 8382.Sep 1 2015, 12:21 PM

remove "&& ! defined(USE_LINUX)" from bsd.linux-apps.mk

novel added a subscriber: novel.Dec 5 2015, 2:14 PM
netchild accepted this revision.Dec 8 2015, 1:22 PM

In general it looks ok. I haven't validated the plists or such. The Mk files look good (no obvious error). The rest seem to be "a simple version update".

Required before commit IMO: exp port build run, it detected some issues a normal build by hand didn't show (when I worked on the 64bit parts).

Suggestion:

  • Add plist variables for version numbers used in the plist. This is not a showstopper, just an impormvent suggestion to ease future updates.
This revision is now accepted and ready to land.Dec 8 2015, 1:22 PM
xmj requested a review of this revision.Dec 8 2015, 3:11 PM

Before this version can continue, it needs updating with centos updates:

http://mirror.centos.org/centos/6.7/updates/x86_64/Packages/ etc

miwi added a reviewer: miwi.Dec 8 2015, 3:17 PM
xmj updated this revision to Diff 10948.Dec 9 2015, 12:19 AM
  • pull updates from CENTOS_LINUX_UPDATES site:

    security/linux-c6-nss devel/linux-c6-sdl12 devel/linux-c6-devtools devel/linux-c6-nspr x11/linux-c6-xorg-libs graphics/linux-c6-gdk-pixbuf2 net/linux-c6-openldap databases/linux-c6-sqlite3
kwm added a subscriber: kwm.Dec 9 2015, 1:56 PM

Reminder that vuxml needs to be checked.

For example all versions of linux-c6-openssl are marked vulnerable. I also found that linux-c6-xorg-libs is reported vulnerable (libXfont).

xmj updated this revision to Diff 11224.Dec 14 2015, 10:15 AM

update patch to latest version

xmj updated this revision to Diff 11225.Dec 14 2015, 10:28 AM

bump some distinfo files

xmj updated this revision to Diff 11793.Dec 30 2015, 1:19 PM

Update distfiles

s3erios_gmail.com added inline comments.
x11-toolkits/linux-c6-qt47-x11/Makefile
26 ↗(On Diff #11793)

probably, glib2 pulseaudio lib should be added as a dependency too

xmj updated this revision to Diff 11877.Jan 3 2016, 3:18 PM

update patch to latest ver

antoine added a subscriber: antoine.Jan 3 2016, 8:02 PM

some parts of the patch fail to apply:

devel/linux-c6-qt47/Makefile
www/linux-c6-flashplugin11/distinfo.x86_64

miwi commandeered this revision.Jan 4 2016, 10:26 AM
miwi edited reviewers, added: xmj; removed: miwi.
miwi updated this revision to Diff 11905.Jan 4 2016, 10:28 AM
  • Fix patch for devel/linux-c6-qt47

www/linux-c6-flashplugin11/

xmj added inline comments.Jan 4 2016, 11:54 AM
x11-toolkits/linux-c6-qt47-x11/Makefile
26 ↗(On Diff #11905)

Please check line 9 of the changed audio/linux-c6-pulseaudio-libs/Makefile.

miwi updated this revision to Diff 11915.Jan 4 2016, 3:49 PM
  • Sync x11-toolkits/linux-c6-qt47-x11 with ports
xmj added inline comments.Jan 4 2016, 3:52 PM
x11-toolkits/linux-c6-qt47-x11/Makefile
8 ↗(On Diff #11905)

Please re-add the mirrorservice MASTER_SITE.

gblach added a subscriber: gblach.Jan 5 2016, 5:01 PM

editors/linux-sublime and editors/linux-sublime3 needs to be updated to support c6_64

miwi updated this revision to Diff 11971.Jan 6 2016, 7:08 PM
  • Restore linux-c6-qt47-x11 mirror update
rene added a comment.Jan 11 2016, 8:38 PM

Although not strictly part of this update, it would be nice if linux-c6-qt47-x11 could be extended to let the user choose older versions of x11/nvidia-driver.

rene added a comment.Jan 11 2016, 8:56 PM

skype4 does not start here, it seems to miss libpulse-mainloop-glib.so* (not found in /compat/linux anywhere)

xmj added a comment.Jan 12 2016, 3:50 PM
In D3428#103377, @rene wrote:

skype4 does not start here, it seems to miss libpulse-mainloop-glib.so* (not found in /compat/linux anywhere)

I had that problem before and updated this in a previous version of this patch;
if you check audio/linux-c6-pulseaudio-libs/Makefile you'll see it is there.

miwi updated this revision to Diff 12751.Jan 27 2016, 12:24 PM
  • Sync with ports
miwi updated this revision to Diff 12754.Jan 27 2016, 1:12 PM
  • remove linux-c6-pulseaudio-libs-glib2
  • fix linux-c6 port
  • patch skype4
miwi updated this revision to Diff 12764.Jan 27 2016, 4:35 PM
  • Fix nss 64bit plist
pi added a subscriber: pi.Feb 15 2016, 9:38 AM
xmj accepted this revision.Mar 2 2016, 8:24 AM

Patch was committed as r407537

sbruno accepted this revision.Mar 3 2016, 3:04 PM
sbruno added a reviewer: sbruno.
xmj removed a reviewer: portmgr.Mar 10 2016, 4:14 PM
This revision is now accepted and ready to land.Mar 10 2016, 4:14 PM
xmj closed this revision.Mar 10 2016, 4:14 PM

(committed previously)